<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2009 sp1 (http://www.altova.com) by Robert F Willis (x-rite) -->
<!-- CXF3-colorpage  version 1.0.02 -->
<!--  Note: This form of CXF3-ColorPage does not require any use of "tokenize" so is more easily supported with XSLT 1.0 -->
<!--W3C Schema generated by XMLSpy v2009 sp1 (http://www.altova.com)-->
<xs:schema xmlns:cp="http://colorexchangeformat.com/CxF3-colorpage" xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="http://colorexchangeformat.com/CxF3-colorpage" elementFormDefault="qualified">
	<xs:simpleType name="NCNameList">
		<xs:annotation>
			<xs:documentation>List of references to ObjectID's contained in the core CXF Resources ObjectCollection. Note that ONLY the CXF Core resources are validated, and lists of references to objects within the Resources MAY not be valid (the object that is referenced may have been deleted).</xs:documentation>
		</xs:annotation>
		<xs:list itemType="xs:NCName"/>
	</xs:simpleType>
	<xs:element name="ColorPage">
		<xs:annotation>
			<xs:documentation>Root Element of the ColorPage namespace. ColorPage is an example of a CXF CustomResource. It references the color objects contained in the core resources, and specifies how those objects might be arranged in a 3 dimensional colorbook containing multiple pages, rows, and columns..</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="cp:Page" minOccurs="0" maxOccurs="unbounded">
					<xs:annotation>
						<xs:documentation>Named page within the ColorPage. A ColorPage can contain from 0 to many pages, each page can contain zero to many rows, and each row can contain zero to many references to a Resource ObjectID.</xs:documentation>
					</xs:annotation>
				</xs:element>
			</xs:sequence>
			<xs:attribute name="Name" type="xs:string" use="required"/>
			<xs:attribute name="NumPages" type="xs:short" use="required"/>
			<xs:attribute name="MaxRows" type="xs:short" use="optional"/>
			<xs:attribute name="MaxColumns" type="xs:short" use="optional"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="Page">
		<xs:annotation>
			<xs:documentation>Named page within the ColorPage. A ColorPage can contain from 1 to many pages, each page can contain zero to many rows, and each row can contain zero to many columns of references to a Resource Object.</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="cp:Row" minOccurs="0" maxOccurs="unbounded">
					<xs:annotation>
						<xs:documentation>Named Row within a page containing a NCName list of referenced Color Objects within the Core Resources. Multiple rows may be present, and each row can contain a different number of referenced objects.</xs:documentation>
					</xs:annotation>
				</xs:element>
			</xs:sequence>
			<xs:attribute name="Name" type="xs:string" use="required"/>
			<xs:attribute name="NumRows" type="xs:short" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="Row">
		<xs:annotation>
			<xs:documentation>Named Row within a Page. Multiple rows may be present, and each row can contain a different number of referenced objects.</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="cp:Obj" minOccurs="0" maxOccurs="unbounded">
					<xs:annotation>
						<xs:documentation>Object reference for a single Object contained in the core Resources.</xs:documentation>
					</xs:annotation>
				</xs:element>
			</xs:sequence>
			<xs:attribute name="Name" type="xs:string" use="required"/>
			<xs:attribute name="NumColumns" type="xs:short" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="Obj">
		<xs:annotation>
			<xs:documentation>Object reference Id for a single Color Object.</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:attribute name="Id" type="xs:NCName" use="required"/>
		</xs:complexType>
	</xs:element>
</xs:schema>
